Package org.eclipse.lemminx.extensions.colors.settings

## Class XMLColorExpression

- java.lang.Object
- - org.eclipse.lemminx.extensions.colors.settings.XMLColorExpression

    public class XMLColorExpression
    extends Object

XML colors expression `{ "xpath": "@color" }`

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLColorExpression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getXPath()`
`boolean` `match​(Node node)`
`void` `setXPath​(String xpath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLColorExpression

    public XMLColorExpression()

### Method Detail

#### getXPath

    public String getXPath()

#### setXPath

    public void setXPath​(String xpath)

#### match

    public boolean match​(Node node)